CreateComponentData - AmplifyUIBuilder

CreateComponentData

Represents all of the information that is required to create a component.

Contents

bindingProperties

The data binding information for the component's properties.

Type: String to ComponentBindingPropertiesValue object map

Required: Yes

children

A list of child components that are instances of the main component.

Type: Array of ComponentChild objects

Required: No

collectionProperties

The data binding configuration for customizing a component's properties. Use this for a collection component.

Type: String to ComponentDataConfiguration object map

Required: No

componentType

The component type. This can be an Amplify custom UI component or another custom component.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 255.

Required: Yes

events

The event configuration for the component. Use for the workflow feature in Amplify Studio that allows you to bind events and actions to components.

Type: String to ComponentEvent object map

Required: No

name

The name of the component

Type: String

Length Constraints: Minimum length of 1. Maximum length of 255.

Required: Yes

overrides

Describes the component properties that can be overriden to customize an instance of the component.

Type: String to string to string map map

Required: Yes

properties

Describes the component's properties.

Type: String to ComponentProperty object map

Required: Yes

schemaVersion

The schema version of the component when it was imported.

Type: String

Required: No

sourceId

The unique ID of the component in its original source system, such as Figma.

Type: String

Required: No

tags

One or more key-value pairs to use when tagging the component data.

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: ^(?!aws:)[a-zA-Z+-=._:/]+$

Value Length Constraints: Minimum length of 1. Maximum length of 256.

Required: No

variants

A list of the unique variants of this component.

Type: Array of ComponentVariant objects

Required: Yes

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: